-- ----------------------------------------------------------------------
-- @(#) upgrade_perf_schema.sql 1.3.0 07/12/08 17:57:49
-- @(#) 
-- Copyright 2006 Vallent Corp.
-- ----------------------------------------------------------------------

set timing on;
set serveroutput on size 1000000;
set lines 200;

DECLARE
   vOldVersion INTEGER := 0;
BEGIN

   BEGIN
      SELECT 1
        INTO vOldVersion
        FROM pe_system
       WHERE ldap_url like '2.2.5.1.%' 
          OR ldap_url like '2.2.5.0.%';

      EXCEPTION WHEN NO_DATA_FOUND THEN
         vOldVersion := 0;

   END;

   IF vOldVersion != 1 THEN
      dbms_output.put_line('Schema up to date');
      RETURN;
   END IF;

   run_sql(' DROP INDEX pe_idx_auto_dl_set_folder_id ');
   run_sql(' DROP INDEX pe_idx_section_page_id ');
   run_sql(' DROP INDEX pe_idx_section_doc_id ');
   run_sql(' DROP INDEX pw_idx_page_urls_docid ');

END;
/

